TSQ - InterBank FT
The "TSQ - InterBank FT" endpoint allows customers to check the status of an InterBank Funds Transfer transaction.
GET /api/Transfer/v1/TSQ
To retrieve the current status of the transaction, you need to provide either transactionRef or apiRequestRef as a query parameter.
Processing Status values
Pending
The customer has been debited, and the request has been queued for transmission to the processing gateway (e.g. NIBSS, Interswitch).
Processing
The customer has been debited, and the request has been sent to the processing gateway, awaiting a response.
PendingTSQ
A response has been received from the processing gateway, but final confirmation is still pending.
ConfirmManually
The response returned from the processing gateway does not clearly indicate whether the transaction succeeded or failed, and TSQ returned an indefinite response.
Processed
A successful transfer confirmation has been received from the processing gateway.
Reversed
The customer's funds have been reversed after the transaction was confirmed to have failed on the processing gateway.
Failed
The transaction failed, and the customer was not debited.
Headers
Content-Type*
application/json
Authorization*
Bearer
Request-Reference
{unique_reference}
Query Params
transactionRef
string (100)
The Transaction Reference / TransactionID / SessionID of the transaction. Pass the value returned in the Instrument Number field of the Outward Transfer response.
apiRequestRef
string (100)
The unique reference you passed in your header when making the original transfer request. This is the unique reference you passed in your header when making a request to the endpoint.
Here is an example request and response with a sample payload sent to the endpoint in Curl format.
Last updated